%define major_version 1.1
%define minor_version 1
%define dsname fedora-ds
%define shortname fedora-admin

Name: fedora-ds-admservconsole
Version: 1.1.2
Release: alt0.M41
Group: Networking/Other
Vendor: Fedora Project
Url: http://directory.fedoraproject.org
License: LGPL
Summary: Fedora Admin Server Management Console
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: %name-jss-alt.patch

BuildPreReq: java-1.6.0-sun-devel
BuildPreReq: ant >= 1.6.2, ldapsdk >= 4.17, fedora-ds-console >= 1.1
BuildRequires: jss

BuildArch: noarch

%description
A Java based remote management console used for Managing Fedora
Admin Server.

%prep
%setup -q
%patch -p1

%build
%ant -Dconsole.location=%_datadir/java -Dldapjdk.jar.name=ldapsdk.jar -Dconsole.location=%_javadir -Dbuilt.dir=`pwd`/built

%install
install -d %buildroot%_datadir/%dsname/html/java
install -m777 built/package/%{shortname}* %buildroot%_datadir/%dsname/html/java

# create symlinks
pushd %buildroot%_datadir/%dsname/html/java
ln -s %shortname-%version.jar %shortname-%major_version.jar
ln -s %shortname-%version.jar %shortname.jar
ln -s %shortname-%{version}_en.jar %shortname-%{major_version}_en.jar
ln -s %shortname-%{version}_en.jar %{shortname}_en.jar
popd

%files
%_datadir/%dsname/html/java/%shortname-%version.jar
%_datadir/%dsname/html/java/%shortname-%major_version.jar
%_datadir/%dsname/html/java/%shortname.jar
%_datadir/%dsname/html/java/%shortname-%{version}_en.jar
%_datadir/%dsname/html/java/%shortname-%{major_version}_en.jar
%_datadir/%dsname/html/java/%{shortname}_en.jar

%changelog
* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.2-alt0.M41
- M41 backport

* Sat Sep 06 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Wed May 07 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.1-alt1
- Updated to 1.1.1

* Tue Jan 08 2008 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt1
- Fedora-DS 1.1 Final release
- Resolve bug 379211: Online help corrections.
- Resolve bug 400361: can't perform admin tasks after changing password
- Resolve bug 416311: change admin user text field to label
- Resolve bug 400341: unable to reset admin user password

* Tue Oct 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071030
- CVS snapshot 20071030 (version change for directoryconsole only)

* Mon Oct 08 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1.0-alt0.20071008
- CVS snapshot 20071008

* Wed May 30 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 1.1-alt0
- Initial for Sisyphus based on fedora-ds-directoryconsole spec
